Follow-up Comment #2, patch #3087 (project freeciv):

I think debian algorithm has advantage (or limitation) of working on somewhat
standardized version strings, namely ones compatible with debian version
string policy. Some cvercmp users expect it to handle any kind of version
string from upstream project (not under control of cvsercmp user itself).
I think cvercmp can handle any version strings we want to use, and those
strings are under our own control so we know not to use something that
wouldn't work. One corner case where cvercmp handling may be considered wrong
is that "a.b-c" is considered equal to "a.b.c" ("2.5-2" is greater than
"2.5.1")

    _______________________________________________________

Reply to this item at:

  <http://gna.org/patch/?3087>

_______________________________________________
  Message sent via/by Gna!
  http://gna.org/


_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to